Update the channel connection settings for a specific app.
curl --request PATCH \
--url 'https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"isReady": true,
"url": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey="
payload = {
"isReady": True,
"url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({isReady: true, url: '<string>'})
};
fetch('https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'isReady' => true,
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey="
payload := strings.NewReader("{\n \"isReady\": true,\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"isReady\": true,\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"isReady\": true,\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"isReady": true,
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Channel Connection Settings
Update the channel connection settings for a specific app.
Modify the existing channel connection settings for the specified app.
PATCH
/
crm
/
extensions
/
calling
/
2026-09
/
{appId}
/
settings
/
channel-connection
Update the channel connection settings for a specific app.
curl --request PATCH \
--url 'https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"isReady": true,
"url": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey="
payload = {
"isReady": True,
"url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({isReady: true, url: '<string>'})
};
fetch('https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'isReady' => true,
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey="
payload := strings.NewReader("{\n \"isReady\": true,\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"isReady\": true,\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/extensions/calling/2026-09/{appId}/settings/channel-connection?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"isReady\": true,\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"isReady": true,
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Authorizations
Path Parameters
Body
application/json
Response
successful operation
The date and time when the channel connection settings were created.
Indicates whether the channel connection settings are ready for use.
The date and time when the channel connection settings were last updated.
The URL associated with the channel connection settings.
Last modified on September 15, 2026
Was this page helpful?